QGIS Server: make nr of layers in layer cache configurable
2013-08-23 02:25 AM - Andreas Neumann

Status: Closed

Priority: Normal

Assignee: Marco Hugentobler

Category: QGIS Server

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 17268
Description

Reminder of discussion with Marco H.

It would be good if, for larger QGIS server installations, the nr of layers to be stored in the layer cache would be configurable with an
Apache environment variable that the qgis_mapserv.fcgi would honour.

Currently, this is hard-coded to 100 layers. For bigger installations it would probably result in better performance if the parameters of more
layers could be cached.

History

#1 - 2013-08-23 02:30 AM - Andreas Neumann
- Target version changed from Version 2.0.0 to Future Release - High Priority

#2 - 2013-09-14 10:22 AM - Andreas Neumann

- Resolution set to fixed

fixed in commit:7c9d8591e6192671766a79ae2a21793a1782b1ea

#3 - 2013-09-14 10:22 AM - Andreas Neumann
- Status changed from Open to Closed
